# Uses of Interface
org.eclipse.swt.events.TouchListener

Packages that use TouchListener
Package
Description
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of TouchListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type TouchListener
Modifier and Type
Method
Description
`void`
Control.`addTouchListener(TouchListener listener)`
Adds the listener to the collection of listeners who will be notified when touch events occur, by sending it one of the messages defined in the `TouchListener` interface.
`void`
Control.`removeTouchListener(TouchListener listener)`
Removes the listener from the collection of listeners who will be notified when touch events occur.